# Interface ICefTask

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefTask = interface(ICefBaseRefCounted)`

## Description

Implement this interface for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefTask

## Overview

### Methods

| `procedure Execute;`

## Description

### Methods

| `procedure Execute;`
Method that will be executed on the target thread. ###### Attributes GUID['{0D965470-4A86-47CE-BD39-A8770021AD7E}']

Generated by PasDoc 0.16.0-snapshot.